Home » Finance » Cryptocurrency » How to Fix “Price Impact Too High” on PancakeSwap

How to Fix “Price Impact Too High” on PancakeSwap

Are you getting a “Price Impact Too High” error on PancakeSwap or UniSwap?

This error has been occurring after the migration of PancakeSwap V1 to V2.

When you’re trying to swap BNB Smart Chain with another token, you might get the “Price Impact Too High” error.

This is frustrating because you won’t be able to liquidate your position.

In this guide, you’ll learn what does “Price Impact Too High” mean on PancakeSwap and how to fix it.

  1. What does “Price Impact Too High” mean on PancakeSwap
  2. How to fix “Price Impact Too High” on PancakeSwap

What does “Price Impact Too High” mean on PancakeSwap

Price impact too high PancakeSwap

“Price Impact Too High” means that you’ll lose a large portion of your funds when you swap your tokens.

Price impact is the effect that your trade has over the market price of the underlying tokens.

It is linked with the amount of liquidity in the pool.

The price impact will be especially high for illiquid token pairs.

For example, if you’re swapping $190 worth of Ethereum for $80 worth of Dipper Network, the price impact will be about 60%.

This is because there is a low number of Dipper Network sellers at the market price to fulfill your order.

If that’s the case, you can either wait for more liquidity to enter the market, or decrease the amount swapped.

On PancakeSwap, the “Price Impact Too High” error happens because of the migration of V1 to V2.

PancakeSwap V2 is known to cause the “Price Impact Too High” error because there isn’t enough liquidity there.

As the V2 pool is new, no liquidity has been added yet.

In other words, the liquidity pools are still migrating/updating.

Hence, you have to wait for the developers of the token to migrate/update it.

How to fix “Price Impact Too High” on PancakeSwap

To fix “Price Impact Too High” on PancakeSwap, you need to switch from V2 to V1 (old).

After you’ve switched PancakeSwap to V1, you’ll be able to swap your tokens without any errors.

PancakeSwap has migrated to V2 on April 25, 2021.

However, the liquidity pool of a lot of tokens is still locked into V1.

Hence, you won’t be able to swap these tokens on PancakeSwap V2.

To confirm this, you can visit the token’s Twitter page and check their tweets.

For instance, ElonGate recently unlocked its liquidity pool to support PancakeSwap V2.

They’ve also pulled a portion of their reserves to support V2 with 30% of their liquidity.

However, the majority of their liquidity is still locked to V1.

Here’s how you can fix “Price Impact Too High” on PancakeSwap:

1. Switch to V1 (old)

How to fix “Price Impact Too High” on PancakeSwap

Firstly, open PancakeSwap and connect to your wallet if you haven’t already.

You can use MetaMask, Trust Wallet, etc.

At the bottom navigation bar of PancakeSwap, you’ll see a couple of versions.

The versions are “V2” and “V1 (old)” as of May 2021.

By default, the version that you’re in will be “V2”.

If you’re on “V2”, the liquidity pool of the token that you’re trying to swap is most likely in the process of migrating/updating from V1 to V2.

Otherwise, the developer of the token has yet to do so.

Hence, you might not be able to swap the token on PancakeSwap V2 as there isn’t enough liquidity.

To fix this, tap on “V1 (old)” to switch PancakeSwap to version 1.

2. Tap on “Continue to V1 Anyway”

PancakeSwap V1 is no longer supported

After you’ve tapped on “V1 (old), a pop-up message will open.

On the pop-up message, you’ll see a message saying that PancakeSwap V1 is no longer supported.

It also recommends you to go to the V2 Exchange instead for better prices on most pairs.

At the bottom of the pop-up message, you’ll see a checkbox along with a disclaimer.

Tap on the checkbox to acknowledge the disclaimer.

The liquidity of most tokens is still locked in the V1 liquidity pool, so you need to switch to V1 for the time being.

Tap on “Continue to V1 Anyway” to switch to PancakeSwap V1.

After you’ve switched to version 1 of PancakeSwap, you’ll be able to swap your tokens without the “Price Impact Too High” error!

Conclusion

The migration of PancakeSwap V1 to V2 has caused a lot of errors.

Many tokens have yet to upgrade/migrate their liquidity pools.

Hence, you won’t be able to swap certain tokens on the new version of PancakeSwap.

However, if you’re on the old version (V1) of PancakeSwap and you’re receiving the “Price Impact Too High” error, try to switch to V2 instead.

Further Reading

How to Buy BNB When Not Available on Trust Wallet

How to Fix “TRANSFER_FROM_FAILED” on PancakeSwap

Best International Trading Brokers in 2021

About the author

Lim How Wei

Lim How Wei is the founder of followchain.org, with over 7+ years of experience in Social Media and 3+ years of experience in investing in stocks and cryptocurrencies. He has researched, tested, and written hundreds of articles ranging from social media platforms to messaging apps.